#define	ITEM(X)	X,#X
typedef struct
{
int	num;
char	*name;
} EVMAP;

EVMAP EvMap[] = {
	ITEM(EVENT__MASK),
	ITEM(EVENT__NULL),
	ITEM(EVENT__FG_ENABLE),
	ITEM(EVENT__TIMER_TICK),
	ITEM(EVENT__MAILBOX_PROCESSOR_START),
	ITEM(EVENT__PROCESSOR_POWERDOWN),
	ITEM(EVENT__PROCESSOR_RESTART),
	ITEM(EVENT__PROCESSOR_WATCHDOG),
	ITEM(EVENT__PROCESSOR_PROG_FLAG),
	ITEM(EVENT__ENABLE_DSP),
	ITEM(EVENT__BG_TIMER_TICK),
	ITEM(EVENT__SAMPLE_RATE_CONVERT),
	ITEM(EVENT__SAMPLE_RATE_NORMAL),
	ITEM(EVENT__RUN_U_LAW),
	ITEM(EVENT__RUN_A_LAW),
	ITEM(EVENT__RUN_LINEAR),
	ITEM(EVENT__RUN_TIMESLOT),
	ITEM(EVENT__BIT_REVERSE),
	ITEM(EVENT__BIT_NORMAL),
	ITEM(EVENT__TRAIN_GO),
	ITEM(EVENT__AUTOMODE_GO),
	ITEM(EVENT__PRE_TRAIN_GO),
	ITEM(EVENT__MODULATION_DETECT),
	ITEM(EVENT__MODULATION_NUDGE),
	ITEM(EVENT__STATISTICS_REPORT),
	ITEM(EVENT__SAMPLE_BUFFER_OVERFLOW),
	ITEM(EVENT__CONNECTION_ON),
	ITEM(EVENT__CONNECTION_OFF),
	ITEM(EVENT__TONE_CHANGE),
	ITEM(EVENT__RLSD_ON),
	ITEM(EVENT__RLSD_OFF),
	ITEM(EVENT__DELTA_RLSD_ON),
	ITEM(EVENT__TONE_ON),
	ITEM(EVENT__TONE_OFF),
	ITEM(EVENT__V24_OFF),
	ITEM(EVENT__CTS_ON),
	ITEM(EVENT__CTS_OFF),
	ITEM(EVENT__DCD_ON),
	ITEM(EVENT__DCD_OFF),
	ITEM(EVENT__DSR_ON),
	ITEM(EVENT__DSR_OFF),
	ITEM(EVENT__RTS_ON),
	ITEM(EVENT__RTS_OFF),
	ITEM(EVENT__DTR_ON),
	ITEM(EVENT__DTR_OFF),
	ITEM(EVENT__PUMP_CTS_ON),
	ITEM(EVENT__PUMP_DCD_ON),
	ITEM(EVENT__PUMP_CTS_OFF),
	ITEM(EVENT__PUMP_DCD_OFF),
	ITEM(EVENT__RECORD_SAMPLE_START),
	ITEM(EVENT__RECORD_SAMPLE_STOP),
	ITEM(EVENT__RECORD_SAMPLE_OVERRUN),
	ITEM(EVENT__MODULE_TIMEOUT),
	ITEM(EVENT__MODULE_UNLOAD),
	ITEM(EVENT__MODULE_DOWN),
	ITEM(EVENT__MODULE_LOAD),
	ITEM(EVENT__MODULE_UP),
	ITEM(EVENT__MODULE_DONE),
	ITEM(EVENT__MODULATION_STOP),
	ITEM(EVENT__CONNECT_ANSWER),
	ITEM(EVENT__CONNECT_ORIGINATE),
	ITEM(EVENT__TEST_ANSWER),
	ITEM(EVENT__TEST_ORIGINATE),
	ITEM(EVENT__FAX_MODE_GO),
	ITEM(EVENT__INITIATE_CLEARDOWN),
	ITEM(EVENT__CLEARDOWN_ACK),
	ITEM(EVENT__FX_START_FR),
	ITEM(EVENT__FX_START_FT),
	ITEM(EVENT__FX_PREFAX_GO),
	ITEM(EVENT__FX_PREFAX_STOP),
	ITEM(EVENT__MODE_STOP),
	ITEM(EVENT__GO_ORIG_AUTOMODE),
	ITEM(EVENT__GO_ANSW_AUTOMODE),
	ITEM(EVENT__GO_ANSW_FIXED),
	ITEM(EVENT__GO_ORIG_FIXED),
	ITEM(EVENT__TELEPHONY_GO),
	ITEM(EVENT__DETECT_RINGING),
	ITEM(EVENT__DETECT_PRECISE_TONES),
	ITEM(EVENT__DETECT_CALL_PROGRESS),
	ITEM(EVENT__DETECT_STOP),
	ITEM(EVENT__RING_ENERGY_OFF),
	ITEM(EVENT__RING_ENERGY_ON),
	ITEM(EVENT__DETECT_DTMF),
	ITEM(EVENT__DETECT_DTMF_STOP),
	ITEM(EVENT__DTMF_DETECTED),
	ITEM(EVENT__OFF_HOOK),
	ITEM(EVENT__ON_HOOK),
	ITEM(EVENT__DTMF_DIAL),
	ITEM(EVENT__PULSE_DIAL),
	ITEM(EVENT__DIAL_DONE),
	ITEM(EVENT__DTMF_CONTINUOUS),
	ITEM(EVENT__DTMF_STOP),
	ITEM(EVENT__TONE_GENERATOR),
	ITEM(EVENT__TONE_PATTERN),
	ITEM(EVENT__TONE_STOP),
	ITEM(EVENT__RINGING_DETECTED),
	ITEM(EVENT__CALL_PROGRESS_TONE_CHANGE),
	ITEM(EVENT__DIALTONE_FOUND),
	ITEM(EVENT__DIALTONE_LOST),
	ITEM(EVENT__SILENCE_FOUND),
	ITEM(EVENT__SILENCE_LOST),
	ITEM(EVENT__BUSY_FOUND),
	ITEM(EVENT__BUSY_LOST),
	ITEM(EVENT__RRING_FOUND),
	ITEM(EVENT__BONG_FOUND),
	ITEM(EVENT__ANS_FOUND),
	ITEM(EVENT__CED_FOUND),
	ITEM(EVENT__CNG_FOUND),
	ITEM(EVENT__TELEPHONY_READY),
	ITEM(EVENT__AM_CNG_DETECT),
	ITEM(EVENT__CALL_PROGRESS_START),
	ITEM(EVENT__PRODUCE_DTMF_TONE),
	ITEM(EVENT__DETECT_MF_R2_FORWARD),
	ITEM(EVENT__DETECT_MF_R2_BACKWARD),
	ITEM(EVENT__DETECT_MF_STOP),
	ITEM(EVENT__MF_DETECTED),
	ITEM(EVENT__MF_DETECT_END),
	ITEM(EVENT__DETECT_MF_R1),
	ITEM(EVENT__DETECT_MF_FORWARD),
	ITEM(EVENT__DETECT_MF_BACKWARD),
	ITEM(EVENT__DETECT_MF_BELLCORE),
	ITEM(EVENT__MF_TIMED),
	ITEM(EVENT__MF_CONTINUOUS),
	ITEM(EVENT__MF_STOP),
	ITEM(EVENT__NOISE_GENERATOR),
	ITEM(EVENT__NOISE_STOP),
	ITEM(EVENT__CALLER_ID),
	ITEM(EVENT__SPEECH_ENCODE_START),
	ITEM(EVENT__SPEECH_DECODE_START),
	ITEM(EVENT__SPEECH_ENCODE_STOP),
	ITEM(EVENT__SPEECH_DECODE_STOP),
	ITEM(EVENT__SPEECH_GO),
	ITEM(EVENT__SPEECH_READY),
	ITEM(EVENT__SPEECH_MISSING_FRAME),
	ITEM(EVENT__SPEECH_DECODER_RESET),
	ITEM(EVENT__SPEECH_DECODER_TRANSITION),
	ITEM(EVENT__SPEECH_DECODER_UNDERFLOW),
	ITEM(EVENT__SPEECH_ENCODER_OVERRUN),
	ITEM(EVENT__SPEECH_DECODER_UNDERRUN),
	ITEM(EVENT__SPEECH_TRANSCODE_START),
	ITEM(EVENT__SPEECH_TRANSCODE_STOP),
	ITEM(EVENT__SPEECH_SILENCE_DETECTED),
	ITEM(EVENT__SPEECH_SPEECH_DETECTED),
	ITEM(EVENT__SPEAKERPHONE_FDX),
	ITEM(EVENT__SPEAKERPHONE_HDX),
	ITEM(EVENT__SPEAKERPHONE_STOP),
	ITEM(EVENT__SPEAKER_MONITOR_ON),
	ITEM(EVENT__SPEAKER_MONITOR_OFF),
	ITEM(EVENT__G165_LEC_START),
	ITEM(EVENT__G165_LEC_STOP),
	ITEM(EVENT__TX_DATA_START),
	ITEM(EVENT__RX_DATA_START),
	ITEM(EVENT__TX_DATA_STOP),
	ITEM(EVENT__RX_DATA_STOP),
	ITEM(EVENT__TX_UNDERFLOW),
	ITEM(EVENT__RX_OVERFLOW),
	ITEM(EVENT__SART_NO_MORE_DATA),
	ITEM(EVENT__SART_RX_PROGRAM_DONE),
	ITEM(EVENT__SART_TX_PROGRAM_DONE),
	ITEM(EVENT__PPP_RX_DETECT),
	ITEM(EVENT__LOCAL_RDLB_REQUEST),
	ITEM(EVENT__REMOTE_RDLB_REQUEST),
	ITEM(EVENT__MANUAL_RDLB_REQUEST),
	ITEM(EVENT__STOP_RDLB_REQUEST),
	ITEM(EVENT__V54_PREPARATORY_DETECT),
	ITEM(EVENT__V54_ACKNOWLEDGE_DETECT),
	ITEM(EVENT__V54_TERMINATION_DETECT),
	ITEM(EVENT__V54_1S_DETECT),
	ITEM(EVENT__V24_LOOP2_ON),
	ITEM(EVENT__V24_LOOP2_OFF),
	ITEM(EVENT__PUMP_CLOCKS_TO_RDLB_SETTING),
	ITEM(EVENT__PUMP_CLOCKS_TO_NORMAL_SETTING),
	ITEM(EVENT__PUMP_UNSCRAMBLER_REQUEST),
	ITEM(EVENT__PUMP_SCRAMBLER_REQUEST),
	ITEM(EVENT__PUMP_MUTE_REQUEST),
	ITEM(EVENT__PUMP_UNMUTE_REQUEST),
	ITEM(EVENT__LOCAL_LOOPBACK),
	ITEM(EVENT__LOOP2_CHANGE),
	ITEM(EVENT__FXPMP_CMD_ANSWER_START),
	ITEM(EVENT__FXPMP_CMD_CNG_OFF),
	ITEM(EVENT__FXPMP_CMD_CONTINUE),
	ITEM(EVENT__FXPMP_CMD_DISCONNECT),
	ITEM(EVENT__FXPMP_CMD_ESCAPE),
	ITEM(EVENT__FXPMP_CMD_FRH),
	ITEM(EVENT__FXPMP_CMD_FRM),
	ITEM(EVENT__FXPMP_CMD_FTH),
	ITEM(EVENT__FXPMP_CMD_FTM),
	ITEM(EVENT__FXPMP_CMD_HALT),
	ITEM(EVENT__FXPMP_CMD_ORIGINATE_START),
	ITEM(EVENT__FXPMP_CMD_SIL_DET_OFF),
	ITEM(EVENT__FXPMP_CMD_SIL_DET_ON),
	ITEM(EVENT__FXPMP_CMD_FRV21),
	ITEM(EVENT__FXPMP_LINE_RX_BIN),
	ITEM(EVENT__FXPMP_LINE_RX_HDLC),
	ITEM(EVENT__FXPMP_LINE_TX_BIN),
	ITEM(EVENT__FXPMP_LINE_TX_HDLC),
	ITEM(EVENT__FXPMP_RSP_CED_DETECT),
	ITEM(EVENT__FXPMP_RSP_CONNECT),
	ITEM(EVENT__FXPMP_RSP_DCS_DETECT),
	ITEM(EVENT__FXPMP_RSP_DISC),
	ITEM(EVENT__FXPMP_RSP_ERROR),
	ITEM(EVENT__FXPMP_RSP_FCERROR),
	ITEM(EVENT__FXPMP_RSP_FLAGS_DETECT),
	ITEM(EVENT__FXPMP_RSP_OK),
	ITEM(EVENT__FXPMP_RSP_READY),
	ITEM(EVENT__FXPMP_RSP_RX_FRAME),
	ITEM(EVENT__FXPMP_RSP_SILENCE_DETECT),
	ITEM(EVENT__FXPMP_RSP_UNKNOWN),
	ITEM(EVENT__FX_SILENCE_RETEST),
	ITEM(EVENT__FX_SILENCE_ADJUST),
	ITEM(EVENT__FX_REINSTALL_THREADS),
	ITEM(EVENT__FX_SILENCE_ON),
	ITEM(EVENT__FX_SILENCE_OFF),
	ITEM(EVENT__FX_V21_CARRIER_DETECT),
	ITEM(EVENT__FX_V21_FLAG_DETECT),
	ITEM(EVENT__FX_TX_SEND_STOP),
	ITEM(EVENT__FX_TX_STOPPED),
	ITEM(EVENT__FX_TX_TRAINED),
	ITEM(EVENT__FX_MODULATION_DONE),
	ITEM(EVENT__FX_V21_ENERGY_DETECT),
	ITEM(EVENT__FX_HS_CARRIER_DETECT),
	ITEM(EVENT__FX_CARRIER_LOSS),
	ITEM(EVENT__FX_MODULATION_GO),
	ITEM(EVENT__FX_MODULATION_STOP),
	ITEM(EVENT__FX_OVERLAY),
	ITEM(EVENT__SCRAMBLER_MATCH),
	ITEM(EVENT__SEQUENCE_REVERSAL),
	ITEM(EVENT__SEQUENCE_DETECT),
	ITEM(EVENT__SEQUENCE_LOST),
	ITEM(EVENT__REVERSAL_ABORT),
	ITEM(EVENT__ENERGY_OFF),
	ITEM(EVENT__TRAIN_RESTART),
	ITEM(EVENT__RATE_DETECT),
	ITEM(EVENT__E_DETECT),
	ITEM(EVENT__REMOTE_RETRAIN),
	ITEM(EVENT__REMOTE_RENEGOTIATE),
	ITEM(EVENT__LOCAL_RENEGOTIATE),
	ITEM(EVENT__LOCAL_RETRAIN),
	ITEM(EVENT__AUTO_RETRAIN),
	ITEM(EVENT__AUTO_RENEGOTIATE),
	ITEM(EVENT__REFLECTED_DATA),
	ITEM(EVENT__GSTN_CLEARDOWN),
	ITEM(EVENT__TRAIN_TIMEOUT),
	ITEM(EVENT__CATASTROPHIC_MSE_DETECTED),
	ITEM(EVENT__CATASTROPHIC_MSE_DELAY),
	ITEM(EVENT__SIGNAL_GOOD),
	ITEM(EVENT__SIGNAL_BAD),
	ITEM(EVENT__MONITOR_INPUT_RAW_STATUS),
	ITEM(EVENT__MONITOR_SHORT_GAIN_INHIBIT),
	ITEM(EVENT__MONITOR_SHORT_GAIN_RESYNC),
	ITEM(EVENT__MONITOR_LONG_GAIN_INHIBIT),
	ITEM(EVENT__MONITOR_LONG_GAIN_RESYNC),
	ITEM(EVENT__MONITOR_PHASE_ERROR),
	ITEM(EVENT__MONITOR_PHASE_RESYNC),
	ITEM(EVENT__SCRAMBLED_BINARY_0),
	ITEM(EVENT__SCRAMBLED_BINARY_0_LOSS),
	ITEM(EVENT__SCRAMBLED_BINARY_1),
	ITEM(EVENT__SCRAMBLED_BINARY_1_LOSS),
	ITEM(EVENT__SCRAMBLED_BINARY_1_32),
	ITEM(EVENT__UNSCRAMBLED_BINARY_0),
	ITEM(EVENT__UNSCRAMBLED_BINARY_0_LOSS),
	ITEM(EVENT__UNSCRAMBLED_BINARY_1),
	ITEM(EVENT__UNSCRAMBLED_BINARY_1_LOSS),
	ITEM(EVENT__SCRAMBLED_ALTERNATIONS),
	ITEM(EVENT__SCRAMBLED_ALT_LOSS),
	ITEM(EVENT__SCRAMBLED_ALT_32),
	ITEM(EVENT__S1_DETECT),
	ITEM(EVENT__S1_LOSS),
	ITEM(EVENT__POSSIBLE_USB_LOSS),
	ITEM(EVENT__ALT_UNSCRAMBLED_BINARY_1),
	ITEM(EVENT__ALT_S1_DETECT),
	ITEM(EVENT__ALT_S1_LOSS),
	ITEM(EVENT__ALT_POSSIBLE_USB_LOSS),
	ITEM(EVENT__V22_LOCAL_RETRAIN),
	ITEM(EVENT__AUTOMODE_STOP),
	ITEM(EVENT__V25ANS_START),
	ITEM(EVENT__V32AA_DETECT_START),
	ITEM(EVENT__V8JM_START),
	ITEM(EVENT__CH_SEIZE_DETECTED),
	ITEM(EVENT__MARKS_DETECTED),
	ITEM(EVENT__ENABLE_V34_INV_PARSER),
	ITEM(EVENT__FRAME_SENT),
	ITEM(EVENT__E_RECEIVED),
	ITEM(EVENT__MP_RECEIVED),
	ITEM(EVENT__MPA_RECEIVED),
	ITEM(EVENT__MP_RECEIVED_CRC_ERROR),
	ITEM(EVENT__INFO_RECEIVED_CRC_OK),
	ITEM(EVENT__INFO_RECEIVED_CRC_ERROR),
	ITEM(EVENT__J4_DETECT),
	ITEM(EVENT__J16_DETECT),
	ITEM(EVENT__JE_DETECT),
	ITEM(EVENT__EQUALIZER_START),
	ITEM(EVENT__EQUALIZER_PP_START),
	ITEM(EVENT__EQUALIZER_TRN_START),
	ITEM(EVENT__EQUALIZER_HOLD),
	ITEM(EVENT__EQUALIZER_FREEZE),
	ITEM(EVENT__EQUALIZER_B1_START),
	ITEM(EVENT__BULK_HOLDOFF_DONE),
	ITEM(EVENT__EC_CONVERGED),
	ITEM(EVENT__EC_START),
	ITEM(EVENT__EC_HOLDOFF_START),
	ITEM(EVENT__EC_HOLDOFF_DONE),
	ITEM(EVENT__RX_PREDICTION_DONE),
	ITEM(EVENT__INFO_FOUND),
	ITEM(EVENT__AB_DETECT),
	ITEM(EVENT__AB_REVERSAL),
	ITEM(EVENT__AB_LOSS),
	ITEM(EVENT__INFOMARKS_DETECT),
	ITEM(EVENT__INFOMARKS_LOSS),
	ITEM(EVENT__RENEGOTIATE_SYMBOLS),
	ITEM(EVENT__RESYNC_PROCESS_FAIL),
	ITEM(EVENT__RESYNC_PROCESS_PASS),
	ITEM(EVENT__PROBING_BG_PROCESS_START),
	ITEM(EVENT__PROBING_BG_PREMATURE_END),
	ITEM(EVENT__PROBING_BG_NORMAL_END),
	ITEM(EVENT__PROCESS_PROBING_TIMEOUT),
	ITEM(EVENT__INFO0_CLOCK_MAX),
	ITEM(EVENT__INFO1_ATTENUATION),
	ITEM(EVENT__INFO1_PREEMPH_MAX),
	ITEM(EVENT__INFO1_MAXRATE_MIN),
	ITEM(EVENT__INFO1_MAXRATE_MAX),
	ITEM(EVENT__INFO1_SYMBOL_ERROR),
	ITEM(EVENT__INFO1_CARRIER_ERROR),
	ITEM(EVENT__INFO1_SYMBOL_MAX),
	ITEM(EVENT__INFO1_PREEMP_MAX),
	ITEM(EVENT__INFO1_FORCE_SYMBOL),
	ITEM(EVENT__MP_TRELLIS_MAX),
	ITEM(EVENT__MP_MAXRATE_MIN),
	ITEM(EVENT__MP_MAXRATE_MAX),
	ITEM(EVENT__INCOMPATIBLE_SETTING),
	ITEM(EVENT__PARAM_B_OUT_OF_RANGE),
	ITEM(EVENT__V8_TX_FRAME_SENT),
	ITEM(EVENT__V8_CJ_SENT),
	ITEM(EVENT__V8_RX_FRAME_VERIFIED),
	ITEM(EVENT__V8_CJ_RECEIVED),
	ITEM(EVENT__V8_DONE_CM_FOUND),
	ITEM(EVENT__V8_DONE_ANSAM_FOUND),
	ITEM(EVENT__V8_DONE_SUCCESS),
	ITEM(EVENT__V8_DONE_FAIL),
	ITEM(EVENT__ANSAM_2100_FOUND),
	ITEM(EVENT__ANSAM_2100_LOSS),
	ITEM(EVENT__ANSAM_15HZ_FOUND),
	ITEM(EVENT__V8_RX_FRAME_START),
	ITEM(EVENT__V8_CMD_CONTINUE),
	ITEM(EVENT__SYNC_DETECTED),
	ITEM(EVENT__SYNC_LOST),
	ITEM(EVENT__SYNC_TIMEOUT),
	ITEM(EVENT__DISCONNECT),
	ITEM(EVENT__RATE_DETECTED),
	ITEM(EVENT__SYNC_STARTED),
	ITEM(EVENT__AUTO_DETECT_STARTED),
	ITEM(EVENT__V8BIS_DURING_CALL_MODE),
	ITEM(EVENT__V8BIS_TIMEOUT),
	ITEM(EVENT__V8BIS_REINSTALL_THREADS),
	ITEM(EVENT__V8BIS_MR_INITIATE),
	ITEM(EVENT__V8BIS_CR_INITIATE),
	ITEM(EVENT__V8BIS_ES_INITIATE),
	ITEM(EVENT__V8BIS_ES_INITIATE_DELAY),
	ITEM(EVENT__V8BIS_MSG_INITIATE),
	ITEM(EVENT__V8BIS_MR_RESPOND),
	ITEM(EVENT__V8BIS_CR_RESPOND),
	ITEM(EVENT__V8BIS_ES_RESPOND),
	ITEM(EVENT__V8BIS_MSG_RESPOND),
	ITEM(EVENT__V8BIS_MR_DETECTED),
	ITEM(EVENT__V8BIS_CR_DETECTED),
	ITEM(EVENT__V8BIS_ES_DETECTED),
	ITEM(EVENT__V8BIS_MSG_DETECTED),
	ITEM(EVENT__V8BIS_SEGMENT_1_DETECTED),
	ITEM(EVENT__V8BIS_SEGMENT_1_TIMEOUT),
	ITEM(EVENT__V8BIS_TONE_SEGMENT_2_DONE),
	ITEM(EVENT__V8BIS_TX_START),
	ITEM(EVENT__V8BIS_TX_STOP),
	ITEM(EVENT__V8BIS_RX_START),
	ITEM(EVENT__V8BIS_RX_STOP),
	ITEM(EVENT__V8BIS_FLAGS_DETECT),
	ITEM(EVENT__V8BIS_TX_PACKET_DONE),
	ITEM(EVENT__V8BIS_RX_PACKET_DONE),
	ITEM(EVENT__V8BIS_TERMINATE),
	ITEM(EVENT__CC_START),
	ITEM(EVENT__CC_RESTART),
	ITEM(EVENT__CC_STOP),
	ITEM(EVENT__CC_RESTART_PP),
	ITEM(EVENT__CC_RESTART_S),
	ITEM(EVENT__CC_RESTART_AC),
	ITEM(EVENT__CC_DETECT_ONES),
	ITEM(EVENT__CC_DETECT_NOT_FLAGS),
	ITEM(EVENT__V34FHD_IRSP_CC_RESYNC),
	ITEM(EVENT__CC_TONE_DETECT),
	ITEM(EVENT__CC_AC_DETECT),
	ITEM(EVENT__CC_S_DETECT),
	ITEM(EVENT__CC_PP_DETECT),
	ITEM(EVENT__CC_S_RECEIVED),
	ITEM(EVENT__CC_PP_RECEIVED),
	ITEM(EVENT__V34FHD_IRSP_DC_NOSIG),
	ITEM(EVENT__V34FHD_IRSP_RATE_CHANGE),
	ITEM(EVENT__V34FHD_RSP_DC_START),
	ITEM(EVENT__V34FHD_RSP_CC_START),
	ITEM(EVENT__V34FHD_RSP_DC_END),
	ITEM(EVENT__V34FHD_RSP_CC_END),
	ITEM(EVENT__V34FHD_RSP_DC_RETRAIN),
	ITEM(EVENT__V34FHD_RSP_CC_RETRAIN),
	ITEM(EVENT__V34FHD_IRSP_ONES_DETECT),
	ITEM(EVENT__V34FHD_IRSP_SILENCE_DETECT),
	ITEM(EVENT__V34FHD_CMD_DC_START),
	ITEM(EVENT__V34FHD_CMD_CC_START),
	ITEM(EVENT__V34FHD_RSP_DC_CONNECT),
	ITEM(EVENT__V34FHD_RSP_CC_CONNECT),
	ITEM(EVENT__V34FHD_RSP_DC_DISCONNECT),
	ITEM(EVENT__V34FHD_RSP_CC_DISCONNECT),
	ITEM(EVENT__V34FHD_CMD_MPH_READY),
	ITEM(EVENT__V34FHD_RSP_MPH_READY),
	ITEM(EVENT__V13_CIRCUIT_105_OFF),
	ITEM(EVENT__V13_CIRCUIT_105_ON),
	ITEM(EVENT__V13_CIRCUIT_109_OFF),
	ITEM(EVENT__V13_CIRCUIT_109_ON),
	ITEM(EVENT__V13_POLY_IDLE_DETECT),
	ITEM(EVENT__V13_POLY_ON_DETECT),
	ITEM(EVENT__V13_POLY_IDLE_LOST),
	ITEM(EVENT__RBS_RX_A0B0),
	ITEM(EVENT__RBS_RX_A0B1),
	ITEM(EVENT__RBS_RX_A1B0),
	ITEM(EVENT__RBS_RX_A1B1),
	ITEM(EVENT__DTMF_EARLY_DETECT),
	ITEM(EVENT__DTMF_EARLY_DETECT_END),
	ITEM(EVENT__VDET_PROCESSING),
	ITEM(EVENT__AD_SIT_MIN_TIMER),
	ITEM(EVENT__AD_SIT_MAX_TIMER),
	ITEM(EVENT__AD_START),
	ITEM(EVENT__AD_STOP),
	ITEM(EVENT__FAXDET_START),
	ITEM(EVENT__FAXDET_STOP),
	ITEM(EVENT__FAXDET_MEASUREMENT),
	ITEM(EVENT__FAXDET_DETECT),
	ITEM(EVENT__AD_DETECT),
	ITEM(EVENT__K56_V8BIS_ACK),
	ITEM(EVENT__K56_V8BIS_NAK),
	ITEM(EVENT__K56_V8BIS_K56_MS),
	ITEM(EVENT__K56_V8BIS_MS),
	ITEM(EVENT__SLOT_COUNTER_CLEAR),
	ITEM(EVENT__SLOT_COUNTER_ALIGN),
	ITEM(EVENT__JA_RECEIVED),
	ITEM(EVENT__J8_DETECT),
	ITEM(EVENT__SLOT_COUNTER_ERROR),
	ITEM(EVENT__K56_TRN2A_TIMEOUT),
	ITEM(EVENT__K56_TRN2B_START),
	ITEM(EVENT__K56_FRAME_SENT_JA),
	ITEM(EVENT__K56_FRAME_SENT_MP),
	ITEM(EVENT__K56_ILLEGAL_SYMBOL),
	ITEM(EVENT__K56_ILLEGAL_CARRIER),
	ITEM(EVENT__K56_TXLR_MAXRATE_LIMITED),
	ITEM(EVENT__K56_TXRL_MAXRATE_LIMITED),
	ITEM(EVENT__K56_TXxx_MINRATE_LIMITED),
	ITEM(EVENT__K56_RXLR_MAXRATE_MAX),
	ITEM(EVENT__K56_RXLR_MAXRATE_MIN),
	ITEM(EVENT__K56_RXRL_MAXRATE_MAX),
	ITEM(EVENT__K56_RXRL_MAXRATE_MIN),
	ITEM(EVENT__K56_RBS_MAX_LIMIT),
	ITEM(EVENT__K56_ASYMMETRIC_LAWS),
	ITEM(EVENT__K56_LOCAL_FALLBACK),
	ITEM(EVENT__K56_REMOTE_FALLBACK),
	ITEM(EVENT__K56_RXxx_MINRATE_LIMITED),
	ITEM(EVENT__INFO_V90_FALLBACK),
	ITEM(EVENT__FRAME_OVERRUN),
	ITEM(EVENT__DIL_N_MIN),
	ITEM(EVENT__DIL_N_MAX),
	ITEM(EVENT__DIL_LSP_MIN),
	ITEM(EVENT__DIL_LSP_MAX),
	ITEM(EVENT__DIL_LTP_MIN),
	ITEM(EVENT__DIL_LTP_MAX),
	ITEM(EVENT__CP_CONSTEL_MAX),
	ITEM(EVENT__DIL_PASS),
	ITEM(EVENT__DIL_PROCESS_START),
	ITEM(EVENT__DIL_PROCESS_PREMATURE_END),
	ITEM(EVENT__DIL_PROCESS_NORMAL_END),
	ITEM(EVENT__ENCODER_K_MISMATCH),
	ITEM(EVENT__ENCODER_S_MAX),
	ITEM(EVENT__SHAPER_COEF_OVERFLOW),
	ITEM(EVENT__SHAPER_OVERFLOW),
	ITEM(EVENT__ROCKWELL_BUG),
	ITEM(EVENT__SILENCE_SEGMENT),
	ITEM(EVENT__USR_QUIRK),
	ITEM(EVENT__V90_LOCAL_FALLBACK),
	ITEM(EVENT__CP_TYPE_MISMATCH),
	ITEM(EVENT__DT_MF_SYNCH_PR),
	ITEM(EVENT__DT_MF_SYNCH_SR),
	ITEM(EVENT__DT_MF_UNSYNCH_PR),
	ITEM(EVENT__DT_MF_UNSYNCH_SR),
	ITEM(EVENT__DT_FBW_SYNCH),
	ITEM(EVENT__DT_RI_GAIN),
	ITEM(EVENT__DT_RI_LOST),
	ITEM(EVENT__DT_ALLIGN_GAIN_PR),
	ITEM(EVENT__DT_ALLIGN_LOST_PR),
	ITEM(EVENT__DT_ALLIGN_GAIN_SR),
	ITEM(EVENT__DT_ALLIGN_LOST_SR),
	ITEM(EVENT__BMC_CC_LSYNCH_IND),
	ITEM(EVENT__BMC_CC_RSYNCH_IND),
	ITEM(EVENT__BMC_CC_RSYNCH_FAIL_IND),
	ITEM(EVENT__BMC_CC_FAIL_IND_PR),
	ITEM(EVENT__BMC_CC_FAIL_IND_SR),
	ITEM(EVENT__BMC_CC_LLOS_IND),
	ITEM(EVENT__BMC_CC_RLOS_IND),
	ITEM(EVENT__BMC_CC_ADD_REQ_PR),
	ITEM(EVENT__BMC_CC_DEL_REQ_PR),
	ITEM(EVENT__BMC_CC_ADD_REQ_SR),
	ITEM(EVENT__BMC_CC_DEL_REQ_SR),
	ITEM(EVENT__BDT_CID),
	ITEM(EVENT__BDT_INIT_REQ),
	ITEM(EVENT__BDT_INIT_ACK),
	ITEM(EVENT__BDT_DN_REQ),
	ITEM(EVENT__BDT_DN_RESP),
	ITEM(EVENT__BDT_ADD_CH),
	ITEM(EVENT__BDT_ADD_CH_ACK),
	ITEM(EVENT__BDT_ADD_CH_REJ),
	ITEM(EVENT__BDT_DEL_CH),
	ITEM(EVENT__BDT_DEL_CH_ACK),
	ITEM(EVENT__BDT_DEL_CH_REJ),
	ITEM(EVENT__BDT_DISC_REQ),
	ITEM(EVENT__BDT_DISC_ACK),
	ITEM(EVENT__BONDING_INIT_REQ),
	ITEM(EVENT__DQ_CONN_REQ),
	ITEM(EVENT__DQ_DISC_REQ),
	ITEM(EVENT__DQ_DEL_CH_REQ),
	ITEM(EVENT__DQ_ADD_CH_REQ),
	ITEM(EVENT__DQ_ABORT_REQ),
	ITEM(EVENT__DQ_INIT_IND),
	ITEM(EVENT__DQ_ADD_CH_IND),
	ITEM(EVENT__DQ_ADD_CH_CONF),
	ITEM(EVENT__DQ_ADD_CH_FAIL_IND),
	ITEM(EVENT__DQ_DEL_CH_IND),
	ITEM(EVENT__DQ_DEL_CH_CONF),
	ITEM(EVENT__DQ_DEL_CH_FAIL_IND),
	ITEM(EVENT__DQ_DISC_IND),
	ITEM(EVENT__DQ_CID_FAIL_IND),
	ITEM(EVENT__T_FA_EXP),
	ITEM(EVENT__TANULL_EXP),
	ITEM(EVENT__TAINIT_EXP),
	ITEM(EVENT__TAADD01_EXP),
	ITEM(EVENT__TAADD_EXP),
	ITEM(EVENT__TADEL_EXP),
	ITEM(EVENT__TAADD02_EXP),
	ITEM(EVENT__TADISC_EXP),
	ITEM(EVENT__TCINIT_EXP),
	ITEM(EVENT__TCADD01_EXP),
	ITEM(EVENT__TCADD_EXP),
	ITEM(EVENT__TCDEL_EXP),
	ITEM(EVENT__TCID_EXP),
	ITEM(EVENT__TCADD02_EXP),
	ITEM(EVENT__TCDISC_EXP),
	ITEM(EVENT__PROTOCOL_TICK_TIMER),
	ITEM(EVENT__FX1_TICK_TIMER),
	ITEM(EVENT__T30_TICK_TIMER),
	ITEM(EVENT__DP_TIMER),
	ITEM(EVENT__DMDP_TIMER),
	ITEM(EVENT__OMC_DIAL_RRING_TIMER),
	ITEM(EVENT__OMC_UNUSED_2),
	ITEM(EVENT__OMC_OFF_HOOK_MIN_TIMER),
	ITEM(EVENT__OMC_ACCESS_DONE),
	ITEM(EVENT__OMC_OVERLAY),
	ITEM(EVENT__OMC_OVERLAY_CONTINUE),
	ITEM(EVENT__OMC_TIMER),
	ITEM(EVENT__OMC_ADP_SENT),
	ITEM(EVENT__OMC_INSTALL),
	ITEM(EVENT__OMC_CMD_CONNECT),
	ITEM(EVENT__OMC_CMD_DIAL),
	ITEM(EVENT__OMC_CMD_DISCONNECT),
	ITEM(EVENT__OMC_CMD_ESCAPE),
	ITEM(EVENT__OMC_CMD_HALT),
	ITEM(EVENT__OMC_CMD_HOOK_OFF),
	ITEM(EVENT__OMC_CMD_IDLE),
	ITEM(EVENT__OMC_CMD_HOOK_ON),
	ITEM(EVENT__OMC_CMD_RETRAIN),
	ITEM(EVENT__OMC_CMD_REMOVE),
	ITEM(EVENT__OMC_CMD_T30_ORIGINATE),
	ITEM(EVENT__OMC_CMD_T30_ANSWER),
	ITEM(EVENT__OMC_CMD_UNIDLE),
	ITEM(EVENT__OMC_RSP_CMD_ACK),
	ITEM(EVENT__OMC_RSP_CONNECT),
	ITEM(EVENT__OMC_RSP_DISC),
	ITEM(EVENT__OMC_RSP_ERROR),
	ITEM(EVENT__OMC_RSP_FCERROR),
	ITEM(EVENT__OMC_RSP_HALT_ACK),
	ITEM(EVENT__OMC_RSP_NO_CARRIER),
	ITEM(EVENT__OMC_RSP_OK),
	ITEM(EVENT__OMC_RSP_ON_HOOK),
	ITEM(EVENT__OMC_RSP_RING),
	ITEM(EVENT__OMC_RSP_RX_FRAME),
	ITEM(EVENT__OMC_DIAL_RSP_RRING_LOST),
	ITEM(EVENT__OMC_DIAL_RSP_BUSY),
	ITEM(EVENT__OMC_DIAL_RSP_DELAYED),
	ITEM(EVENT__OMC_DIAL_RSP_NO_ANSWER),
	ITEM(EVENT__OMC_DIAL_RSP_NO_DIALTONE),
	ITEM(EVENT__OMC_DIAL_RSP_SUCCESS),
	ITEM(EVENT__OMC_DIAL_IRSP_BONG),
	ITEM(EVENT__OMC_IRSP_CARRIER),
	ITEM(EVENT__OMC_IRSP_PROTOCOL),
	ITEM(EVENT__OMC_IRSP_COMPRESSION),
	ITEM(EVENT__OMC_RSP_OFF_HOOK),
	ITEM(EVENT__HOOK_CMD_OFF),
	ITEM(EVENT__HOOK_RSP_OFF),
	ITEM(EVENT__HOOK_CMD_ON),
	ITEM(EVENT__HOOK_RSP_ON),
	ITEM(EVENT__OMC_CMD_CONTINUE),
	ITEM(EVENT__OMC_RSP_FAX),
	ITEM(EVENT__OMC_IRSP_DATA),
	ITEM(EVENT__OMC_DP_FALLBACK_TIMER),
	ITEM(EVENT__OMC_IRSP_DETECT_ODP),
	ITEM(EVENT__OMC_IRSP_DETECT_MNP),
	ITEM(EVENT__OMC_IRSP_DETECT_FLAGS),
	ITEM(EVENT__OMC_IRSP_DETECT_ADP_LAPM),
	ITEM(EVENT__OMC_IRSP_DETECT_ADP_MNP),
	ITEM(EVENT__OMC_IRSP_DETECT_ADP_BUFFERED),
	ITEM(EVENT__OMC_IRSP_DETECT_AR_200),
	ITEM(EVENT__OMC_IRSP_DETECT_AR_CHAR),
	ITEM(EVENT__OMC_IRSP_DETECT_TIMEOUT),
	ITEM(EVENT__OMC_HOOK_TIMER),
	ITEM(EVENT__CIRCUIT_DISCONNECT),
	ITEM(EVENT__OMC_CMD_FX1_ANSWER),
	ITEM(EVENT__OMC_CMD_FX1_ORIGINATE),
	ITEM(EVENT__DIAL_READY),
	ITEM(EVENT__OMC_READY),
	ITEM(EVENT__OMC_RSP_CONTINUE),
	ITEM(EVENT__OMC_REQUIREMENT_FAIL),
	ITEM(EVENT__OMC_TEL_ACTIVE_CHANGE),
	ITEM(EVENT__OMC_TONE_DETECT_SYNC),
	ITEM(EVENT__OMC_ON_HOOK_IDLE),
	ITEM(EVENT__OMC_MONITOR_TICK),
	ITEM(EVENT__OMC_MONITOR_ST_UPDATE),
	ITEM(EVENT__OMC_MONITOR_CONNECT_SYNC),
	ITEM(EVENT__OMC_CMD_RENEGOTIATE),
	ITEM(EVENT__OMC_IRSP_DETECT_SYNC),
	ITEM(EVENT__OMC_MONITOR_PRA_TIMER),
	ITEM(EVENT__OMC_SHUTDOWN),
	ITEM(EVENT__OMC_MONITOR_CMD_STOP),
	ITEM(EVENT__OMC_MONITOR_RSP_IDLE),
	ITEM(EVENT__OMC_DMDISCMON_TIMER),
	ITEM(EVENT__SCC_CMD_ANSWER_START),
	ITEM(EVENT__SCC_CMD_CALLER_START),
	ITEM(EVENT__SCC_CMD_DISCONNECT),
	ITEM(EVENT__SCC_CMD_GENERATE_START),
	ITEM(EVENT__SCC_CMD_GENERATE_STOP),
	ITEM(EVENT__SCC_CMD_DETECTOR_CHANGE),
	ITEM(EVENT__SCC_CMD_VOLUME_CHANGE),
	ITEM(EVENT__SCC_CMD_OPERATION_CHANGE),
	ITEM(EVENT__SCC_CMD_G711_TRANSITION),
	ITEM(EVENT__SCC_RSP_READY),
	ITEM(EVENT__SCC_RSP_DISCONNECT),
	ITEM(EVENT__SCC_RSP_GENERATE_DONE),
	ITEM(EVENT__SCC_RSP_OPERATION_ACK),
	ITEM(EVENT__SCC_RSP_OPERATION_NAK),
	ITEM(EVENT__SCC_TIMER),
	ITEM(EVENT__TSSC_CMD_CANCEL),
	ITEM(EVENT__TSSC_CMD_DISCONNECT),
	ITEM(EVENT__TSSC_CMD_HALT),
	ITEM(EVENT__TSSC_CMD_INBND_MONITOR),
	ITEM(EVENT__TSSC_CMD_INBND_START),
	ITEM(EVENT__TSSC_CMD_OUTBND_START),
	ITEM(EVENT__TSSC_CMD_TAKEOVER),
	ITEM(EVENT__TSSC_ICMD_CP_CHANGE),
	ITEM(EVENT__TSSC_ICMD_INBND_PROC_ACCEPT),
	ITEM(EVENT__TSSC_ICMD_INBND_PROC_FAIL),
	ITEM(EVENT__TSSC_IRSP_CIRCUIT_LOSS),
	ITEM(EVENT__TSSC_IRSP_CP_CHANGE),
	ITEM(EVENT__TSSC_IRSP_INBND_PROC_READY),
	ITEM(EVENT__TSSC_IRSP_OUTBND_START_SUCC),
	ITEM(EVENT__TSSC_RSP_IDLE),
	ITEM(EVENT__TSSC_RSP_INBND_DETECT),
	ITEM(EVENT__TSSC_RSP_ON_LINE),
	ITEM(EVENT__TSSC_RSP_STOP),
	ITEM(EVENT__ETSSC_CTL_CALL_ACCEPTED),
	ITEM(EVENT__ETSSC_CTL_CIRCUIT_LOSS),
	ITEM(EVENT__ETSSC_CTL_CP_CHANGE),
	ITEM(EVENT__ETSSC_CTL_INBND_DETECT),
	ITEM(EVENT__ETSSC_IND_DISCONNECT),
	ITEM(EVENT__ETSSC_IND_HALT),
	ITEM(EVENT__ETSSC_IND_INBND_MONITOR),
	ITEM(EVENT__ETSSC_IND_INBND_PROCEEDING),
	ITEM(EVENT__ETSSC_IND_ON_LINE),
	ITEM(EVENT__ETSSC_IND_PROCEED_CP_CHANGE),
	ITEM(EVENT__ETSSC_IND_PROC_FAIL),
	ITEM(EVENT__TSSC_ADDRESS_TIMEOUT),
	ITEM(EVENT__TSSC_DIGIT_TIMEOUT),
	ITEM(EVENT__TSSC_TIMER),
	ITEM(EVENT__RSPMON_GOOD0),
	ITEM(EVENT__RSPMON_GOOD1),
	ITEM(EVENT__RSPMON_GOOD2),
	ITEM(EVENT__RSPMON_GOOD3),
	ITEM(EVENT__RSPMON_GOOD4),
	ITEM(EVENT__RSPMON_GOOD5),
	ITEM(EVENT__RSPMON_GOOD6),
	ITEM(EVENT__RSPMON_GOOD7),
	ITEM(EVENT__RSPMON_BAD0),
	ITEM(EVENT__RSPMON_BAD1),
	ITEM(EVENT__RSPMON_BAD2),
	ITEM(EVENT__RSPMON_BAD3),
	ITEM(EVENT__RSPMON_BAD4),
	ITEM(EVENT__RSPMON_BAD5),
	ITEM(EVENT__RSPMON_BAD6),
	ITEM(EVENT__RSPMON_BAD7),
	ITEM(EVENT__APP_CMD_0),
	ITEM(EVENT__APP_CMD_1),
	ITEM(EVENT__APP_CMD_2),
	ITEM(EVENT__APP_CMD_3),
	ITEM(EVENT__APP_CMD_4),
	ITEM(EVENT__APP_CMD_5),
	ITEM(EVENT__APP_CMD_6),
	ITEM(EVENT__APP_CMD_7),
	ITEM(EVENT__APP_CMD_8),
	ITEM(EVENT__APP_CMD_9),
	ITEM(EVENT__APP_CMD_A),
	ITEM(EVENT__APP_CMD_B),
	ITEM(EVENT__APP_CMD_C),
	ITEM(EVENT__APP_CMD_D),
	ITEM(EVENT__APP_CMD_E),
	ITEM(EVENT__APP_CMD_F),
	ITEM(EVENT__APP_RSP_0),
	ITEM(EVENT__APP_RSP_1),
	ITEM(EVENT__APP_RSP_2),
	ITEM(EVENT__APP_RSP_3),
	ITEM(EVENT__APP_RSP_4),
	ITEM(EVENT__APP_RSP_5),
	ITEM(EVENT__APP_RSP_6),
	ITEM(EVENT__APP_RSP_7),
	ITEM(EVENT__APP_RSP_8),
	ITEM(EVENT__APP_RSP_9),
	ITEM(EVENT__APP_RSP_A),
	ITEM(EVENT__APP_RSP_B),
	ITEM(EVENT__APP_RSP_C),
	ITEM(EVENT__APP_RSP_D),
	ITEM(EVENT__APP_RSP_E),
	ITEM(EVENT__APP_RSP_F),
	ITEM(EVENT__DIAL_TIMER),
	ITEM(EVENT__DIAL_BLIND_DIAL_TIMER),
	ITEM(EVENT__DIAL_BILLING_DELAY_TIMER),
	ITEM(EVENT__DIAL_HOOK_TIMER),
	ITEM(EVENT__DIAL_SILENCE_TIMER),
	ITEM(EVENT__DP_SHUTDOWN),
	ITEM(EVENT__DP_CMD_UNIDLE),
	ITEM(EVENT__DP_CMD_DISC),
	ITEM(EVENT__DP_CMD_HALT),
	ITEM(EVENT__DP_CMD_IDLE),
	ITEM(EVENT__V42_CONNECTING),
	ITEM(EVENT__V42_DISCONNECTING),
	ITEM(EVENT__V42_HALTED),
	ITEM(EVENT__V42_IDLEING),
	ITEM(EVENT__V42_RUNNING),
	ITEM(EVENT__DP_ACCESS_DONE),
	ITEM(EVENT__DP_STAT_HALTED),
	ITEM(EVENT__DP_STAT_CONNECTING),
	ITEM(EVENT__DP_STAT_IDLEING),
	ITEM(EVENT__DP_STAT_RUNNING),
	ITEM(EVENT__DP_STAT_DISC),
	ITEM(EVENT__DP_RSP_HALT),
	ITEM(EVENT__DP_LINE_READY),
	ITEM(EVENT__DP_INSTALL),
	ITEM(EVENT__DP_CMD_UNSUSPEND),
	ITEM(EVENT__DP_CMD_SUSPEND),
	ITEM(EVENT__DP_STAT_STARTED),
	ITEM(EVENT__DP_START_CONTINUE),
	ITEM(EVENT__DP_INSTALL_MODULE),
	ITEM(EVENT__DP_RESTART),
	ITEM(EVENT__DP_RSP_CONNECT),
	ITEM(EVENT__DP_RSP_IDLE),
	ITEM(EVENT__DP_RSP_UNIDLE),
	ITEM(EVENT__DP_RSP_SUSPEND),
	ITEM(EVENT__DP_RSP_UNSUSPEND),
	ITEM(EVENT__DP_TEST_RETRAIN),
	ITEM(EVENT__DP_CMD_CONTINUE),
	ITEM(EVENT__DM_CONNECT_LOSS),
	ITEM(EVENT__HW_CONNECT_LOSS),
	ITEM(EVENT__DM_CONNECT),
	ITEM(EVENT__OMC_INSTALL_CONTINUE),
	ITEM(EVENT__T30_CMD_FDR),
	ITEM(EVENT__T30_CMD_FDT),
	ITEM(EVENT__T30_CMD_FET),
	ITEM(EVENT__T30_IRSP_DIS),
	ITEM(EVENT__T30_IRSP_DCS),
	ITEM(EVENT__T30_IRSP_DTC),
	ITEM(EVENT__T30_IRSP_CSI),
	ITEM(EVENT__T30_IRSP_TSI),
	ITEM(EVENT__T30_IRSP_CIG),
	ITEM(EVENT__T30_IRSP_NSF),
	ITEM(EVENT__T30_IRSP_NSS),
	ITEM(EVENT__T30_IRSP_NSC),
	ITEM(EVENT__T30_IRSP_FPOLL),
	ITEM(EVENT__T30_IRSP_FCON),
	ITEM(EVENT__T30_IRSP_FPTS),
	ITEM(EVENT__T30_IRSP_FET),
	ITEM(EVENT__T30_IRSP_VOICE),
	ITEM(EVENT__T30_IRSP_CFR),
	ITEM(EVENT__T30_IRSP_PHASE_C_TIMEOUT),
	ITEM(EVENT__T30_RSP_STOP),
	ITEM(EVENT__T30_KICK_START),
	ITEM(EVENT__T30_ACCESS_DONE),
	ITEM(EVENT__T30_TIMER),
	ITEM(EVENT__T30_INACTIVITY_TIMEOUT),
	ITEM(EVENT__T30_TMR_PHASE_C),
	ITEM(EVENT__T30_TMR_3S),
	ITEM(EVENT__T30_TMR_T1),
	ITEM(EVENT__T30_TMR_T2),
	ITEM(EVENT__T30_TMR_T4),
	ITEM(EVENT__T30_TMR_T5),
	ITEM(EVENT__T30CR_IRSP_FCON),
	ITEM(EVENT__T30CR_RSP_HS_DETECT),
	ITEM(EVENT__T30CR_RSP_DISC),
	ITEM(EVENT__T30CR_RSP_RX_FRAME),
	ITEM(EVENT__T30CR_RSP_TMR_T2),
	ITEM(EVENT__T30LINE_RSP_RX_FRAME),
	ITEM(EVENT__T30LINE_RSP_OVERFLOW),
	ITEM(EVENT__T30LINE_RSP_DIAG),
	ITEM(EVENT__T30LINE_RSP_DISC),
	ITEM(EVENT__T30LINE_RSP_RTC_DETECT),
	ITEM(EVENT__T30LINE_RSP_RCP_DETECT),
	ITEM(EVENT__T4_RSP_STOP),
	ITEM(EVENT__ECM_RCP_DETECT),
	ITEM(EVENT__ECM_RX_RDY),
	ITEM(EVENT__ECM_SIM_TICK_TIMER),
	ITEM(EVENT__T4_RSP_FORMAT_MISMATCH),
	ITEM(EVENT__T30CR_CMD_ABORT),
	ITEM(EVENT__T30CR_RSP_ABORT_ACK),
	ITEM(EVENT__T30_POST_PPM_TIMER),
	ITEM(EVENT__T30_HALT_TIMER),
	ITEM(EVENT__T30_INACTIVITY),
	ITEM(EVENT__T30_HS_TIMEOUT),
	ITEM(EVENT__T4_IN_NMD),
	ITEM(EVENT__T4_OUT_NMD),
	ITEM(EVENT__T38_CED_DETECT),
	ITEM(EVENT__T38_RSP_STOP),
	ITEM(EVENT__T38_TIMER),
	ITEM(EVENT__T38MON_FRAME_READY),
	ITEM(EVENT__T38LINE_RSP_RX_FRAME),
	ITEM(EVENT__T38LINE_RTC_RCP_SEEN),
	ITEM(EVENT__T38LINE_NMD_SEEN),
	ITEM(EVENT__T38_AFAIL_TIMER),
	ITEM(EVENT__T38_NFAIL_TIMER),
	ITEM(EVENT__T38MON_SIG_END),
	ITEM(EVENT__T38_TX_UNDERFLOW),
	ITEM(EVENT__T38_RX_OVERFLOW),
	ITEM(EVENT__T38_DCS_SEEN),
	ITEM(EVENT__T38_SYSMON_TIMER),
	ITEM(EVENT__T38_CMD_HALT),
	ITEM(EVENT__T38_CMD_DISC),
	ITEM(EVENT__T38_SHUTDOWN),
	ITEM(EVENT__T38_CFR_SEEN),
	ITEM(EVENT__CSC_ACCESS_DONE),
	ITEM(EVENT__CSC_TIMER),
	ITEM(EVENT__CSC_S3_RECEIVED),
	ITEM(EVENT__CSC_ESCAPE_REQUEST),
	ITEM(EVENT__FC_PULSE_TIMER),
	ITEM(EVENT__RSP_DONE),
	ITEM(EVENT__CSC_RI_TIMER),
	ITEM(EVENT__CSC_CONNECT),
	ITEM(EVENT__CSC_DISCONNECT),
	ITEM(EVENT__CSC_RING),
	ITEM(EVENT__CSC_RESET),
	ITEM(EVENT__CSC_START),
	ITEM(EVENT__CSC_RESET_REQUEST),
	ITEM(EVENT__CSC_RSP_DONE),
	ITEM(EVENT__CSC_HANGUP_REQUEST),
	ITEM(EVENT__CSC_ACCESS_CONTINUE),
	ITEM(EVENT__CSC_AUTOANSWER_REQ),
	ITEM(EVENT__CSC_CMD_ENTRY_TIMER),
	ITEM(EVENT__TIES_FAILURE),
	ITEM(EVENT__TIES_PROMPT),
	ITEM(EVENT__TIES_SUCCESS),
	ITEM(EVENT__V24_DTR_DEBOUNCE_TIMER),
	ITEM(EVENT__V24_DTR_TIMER),
	ITEM(EVENT__V24_RTS_TIMER),
	ITEM(EVENT__V24_DCD_TIMER),
	ITEM(EVENT__CSC_VOICE_REQUEST),
	ITEM(EVENT__RING_CNT_CLEARED_TIMER),
	ITEM(EVENT__CSC_CID_PROC_DONE),
	ITEM(EVENT__CSC_TONE_REPORT_TIMER),
	ITEM(EVENT__CSC_MONITOR_SERVICE),
	ITEM(EVENT__CSC_RECENT_WAKEUP_TIMER),
	ITEM(EVENT__CSC_PD_REQUEST),
	ITEM(EVENT__CSC_PD_WAKEUP),
	ITEM(EVENT__CSC_VOICE_MONITOR_TIMER),
	ITEM(EVENT__CSC_VOICE_TONE_TIMER),
	ITEM(EVENT__CSC_VOICE_TIMER),
	ITEM(EVENT__CSC_VOICE_INBAND_CMD),
	ITEM(EVENT__CSC_VOICE_SILENCE_TIMER),
	ITEM(EVENT__FX1_CMD_FRH),
	ITEM(EVENT__FX1_CMD_FTH),
	ITEM(EVENT__FX1_CMD_FRM),
	ITEM(EVENT__FX1_CMD_FTM),
	ITEM(EVENT__FX1_CMD_FRS),
	ITEM(EVENT__FX1_CMD_FTS),
	ITEM(EVENT__FX1_CMD_START),
	ITEM(EVENT__FX1_RSP_CONNECT),
	ITEM(EVENT__FX1_RSP_OK),
	ITEM(EVENT__FX1_RSP_ERROR),
	ITEM(EVENT__FX1_RSP_FCERROR),
	ITEM(EVENT__FX1_RSP_NO_CARRIER),
	ITEM(EVENT__FX1_RSP_DONE),
	ITEM(EVENT__FX1_RSP_TX_SPECIAL),
	ITEM(EVENT__FX1_ACCESS_DONE),
	ITEM(EVENT__FXLINE_NONFINAL_SENT),
	ITEM(EVENT__FXLINE_NO_MORE_DATA),
	ITEM(EVENT__FXLINE_RX_FRAME),
	ITEM(EVENT__FX1_DISC_TIMER),
	ITEM(EVENT__FX2_DTE_ABORT_TIMER),
	ITEM(EVENT__DTEIF_DTR_ON),
	ITEM(EVENT__DTEIF_DTR_OFF),
	ITEM(EVENT__DTEIF_RTS_ON),
	ITEM(EVENT__DTEIF_RTS_OFF),
	ITEM(EVENT__DTEIF_AT_PREFIX_SEEN),
	ITEM(EVENT__DTEIF_REPEAT_PREV_CMD),
	ITEM(EVENT__SERIAL_CTS_FALL),
	ITEM(EVENT__SERIAL_CTS_RISE),
	ITEM(EVENT__SERIAL_DCD_FALL),
	ITEM(EVENT__SERIAL_DCD_RISE),
	ITEM(EVENT__DTE_TX_BREAK),
	ITEM(EVENT__DTE_RX_BREAK),
	ITEM(EVENT__DTE_FX1_DONE),
	ITEM(EVENT__DTE_FX2_DONE),
	ITEM(EVENT__DTE_FDR_DC2_SEEN),
	ITEM(EVENT__DTE_FDR_CAN_SEEN),
	ITEM(EVENT__DTE_FDR_CHAR_SEEN),
	ITEM(EVENT__DTE_POST_CMD_ECHO_TIMER),
	ITEM(EVENT__DTE_ONLINE_ESCAPE_TIMER),
	ITEM(EVENT__DTE_ONLINE_ESCAPE_SUCCESS),
	ITEM(EVENT__DTE_ONLINE_ESCAPE_FAIL),
	ITEM(EVENT__DTE_NOCHAR_INTERVAL_TIMER),
	ITEM(EVENT__DTE_CHAR_SEEN),
	ITEM(EVENT__DTE_ONLINE_ESCAPE_START),
	ITEM(EVENT__DTE_VOICE_STOP),
	ITEM(EVENT__DTE_TX_EMPTY),
	ITEM(EVENT__SERIAL_DSR_ON),
	ITEM(EVENT__SERIAL_DSR_OFF),
	ITEM(EVENT__SERIAL_DTR_ON),
	ITEM(EVENT__SERIAL_DTR_OFF),
	ITEM(EVENT__SERIAL_DCD_ON),
	ITEM(EVENT__SERIAL_DCD_OFF),
	ITEM(EVENT__SERIAL_CTS_ON),
	ITEM(EVENT__SERIAL_CTS_OFF),
	ITEM(EVENT__SERIAL_RTS_ON),
	ITEM(EVENT__SERIAL_RTS_OFF),
	ITEM(EVENT__SERIAL_105_ON),
	ITEM(EVENT__SERIAL_105_OFF),
	ITEM(EVENT__SERIAL_RI_ON),
	ITEM(EVENT__SERIAL_RI_OFF),
	ITEM(EVENT__SERIAL_HOOK_ON),
	ITEM(EVENT__SERIAL_HOOK_OFF),
	ITEM(EVENT__BUFFER1_TX_EMPTY),
	ITEM(EVENT__BUFFER1_RX_EMPTY),
	ITEM(EVENT__DEVELOPER_GROUP),
	ITEM(EVENT__CUSTOMER_GROUP),
	ITEM(EVENT__DENSE_PUMP_GRANT),
	ITEM(EVENT__DENSE_PUMP_REFUSE),
	ITEM(EVENT__DENSE_DTE_TX_OVERFLOW),
	ITEM(EVENT__DENSE_PUMP_DETACH),
	ITEM(EVENT__DENSE_EXIT_BY_BACKDOOR),
	ITEM(EVENT__DENSE_TA_GRANT),
	ITEM(EVENT__DENSE_S7_TIMER),
	ITEM(EVENT__DENSE_PUMP_READY),
	ITEM(STATUS__MASK),
	ITEM(STATUS__SPEED_SELECT),
	ITEM(STATUS__TONE_DETECT),
	ITEM(STATUS__TRAINING_REPORT_1),
	ITEM(STATUS__TRAINING_REPORT_2),
	ITEM(STATUS__CONNECTION_REPORT_1),
	ITEM(STATUS__CONNECTION_REPORT_2),
	ITEM(STATUS__CONNECTION_END_REPORT_1),
	ITEM(STATUS__CONNECTION_END_REPORT_2),
	ITEM(STATUS__MSE_REPORT),
	ITEM(STATUS__LOAD_OVERLAY),
	ITEM(STATUS__DTMF_DETECTED),
	ITEM(STATUS__DTMF_DETECT_END),
	ITEM(STATUS__MF_DETECTED),
	ITEM(STATUS__MF_DETECT_END),
	ITEM(STATUS__V8_CALL_FUNCTION),
	ITEM(STATUS__TX_SPEED),
	ITEM(STATUS__VPCM_TX_ATTENUATION),
	ITEM(STATUS__VPCM_TX_RBS),
	ITEM(STATUS__VPCM_V90_MODE),
	ITEM(STATUS__VPCM_K56_MODE),
	ITEM(STATUS__V24_LOOP2_ON),
	ITEM(STATUS__VPCM_RX_ATTENUATION),
	ITEM(STATUS__VPCM_RX_RBS),
	ITEM(STATUS__VPCM_TX_STATE),
	ITEM(STATUS__VPCM_RX_STATE),
	ITEM(STATUS__VPCM_TX_CONSTELLATION),
	ITEM(STATUS__VPCM_RX_CONSTELLATION),
	ITEM(STATUS__AGC1_GAIN),
	ITEM(STATUS__AGC1_EXPONENT),
	ITEM(STATUS__AGC2_GAIN),
	ITEM(STATUS__AGC2_EXPONENT),
	ITEM(STATUS__V34_PH2_ROUND_TRIP_DELAY),
	ITEM(STATUS__V34_TX_ATTENUATION),
	ITEM(STATUS__V34_TX_REQUIRED_ATTENUATION),
	ITEM(STATUS__V34_TX_OPTIONAL_ATTENUATION),
	ITEM(STATUS__V34_RX_ATTENUATION),
	ITEM(STATUS__V34_RX_REQUIRED_ATTENUATION),
	ITEM(STATUS__V34_RX_OPTIONAL_ATTENUATION),
	ITEM(STATUS__V32_TX_RATE_MASK),
	ITEM(STATUS__V32_RX_RATE_MASK),
	ITEM(STATUS__V32_RESTRICT_MASK),
	ITEM(STATUS__V32_FINAL_RATE_MASK),
	ITEM(STATUS__MSE_REPORT_TRAINING),
	ITEM(STATUS__MSE_REPORT_MAXRATE),
	ITEM(STATUS__MP_FRAME_WORD),
	ITEM(STATUS__V34_TRN1_MSE),
	ITEM(STATUS__V34_CONV_MSE),
	ITEM(STATUS__V34_TRN2_MSE),
	ITEM(STATUS__LPF_REPORT_TRN1A),
	ITEM(STATUS__LPF_REPORT_TRN1B),
	ITEM(STATUS__LPF_REPORT_TRN1C),
	ITEM(STATUS__LPF_REPORT_TRN2A),
	ITEM(STATUS__LPF_REPORT_TRN2B),
	ITEM(STATUS__LPF_REPORT_ECHO),
	ITEM(STATUS__LPF_REPORT_DATA),
	ITEM(STATUS__POWER_TX_1),
	ITEM(STATUS__POWER_TX_2),
	ITEM(STATUS__POWER_RX_1),
	ITEM(STATUS__POWER_RX_2),
	ITEM(STATUS__FIRMWARE_RELEASE),
	ITEM(STATUS__MINIMUM_CONFIG),
	ITEM(STATUS__RECONFIG_IN_PROGRESS),
	ITEM(STATUS__RECONFIG_COMPLETE),
	ITEM(STATUS__MEMORY_READ),
	ITEM(STATUS__MF_GENERATE),
	ITEM(STATUS__WATCHDOG_OK),
	ITEM(STATUS__PUMP_ANOMALY_REPORT),
	ITEM(STATUS__OMC_STATE_REPORT),
	ITEM(STATUS__OMC_ANOMALY_REPORT),
	ITEM(STATUS__CSC_STATE_REPORT),
	ITEM(STATUS__CSC_ANOMALY_REPORT),
	ITEM(STATUS__OMC_DATUM_A_REPORT),
	ITEM(STATUS__OMC_DATUM_B_REPORT),
	ITEM(STATUS__OMC_DATUM_C_REPORT),
	ITEM(STATUS__OMC_DATUM_D_REPORT),
	ITEM(STATUS__CSC_DATUM_A_REPORT),
	ITEM(STATUS__CSC_DATUM_B_REPORT),
	ITEM(STATUS__CSC_DATUM_C_REPORT),
	ITEM(STATUS__CSC_DATUM_D_REPORT),
	ITEM(STATUS__V8BIS_DATUM_TX_REPORT),
	ITEM(STATUS__V8BIS_DATUM_RX_REPORT),
	ITEM(STATUS__V8_DATUM_TX_REPORT),
	ITEM(STATUS__V8_DATUM_RX_REPORT),
	ITEM(STATUS__OMC_DISCONNECT_REASON),
	ITEM(STATUS__DP_DISCONNECT_REASON),
	ITEM(STATUS__DP_DISCONNECT_SUBREASON),
	ITEM(STATUS__T30_DISCONNECT_REASON),
	ITEM(STATUS__AD_DETECT),
	ITEM(STATUS__FAXDET_DETECT),
	ITEM(STATUS__KB_CHARACTER_REPORT),
	ITEM(STATUS__T30_FRAME_REPORT),
	ITEM(STATUS__DP_TX_DF_RETX),
	ITEM(STATUS__DP_RX_DF_RETX),
	ITEM(STATUS__SCC_DETECT),
	ITEM(STATUS__FRAME_REPORT),
	ITEM(STATUS__T38_FRAME_REPORT),
	ITEM(STATUS__T38_DATA_FIELD_REPORT),
	ITEM(STATUS__RTMSC_AUDIO_REPORT),
	ITEM(STATUS__FRAME_DETAIL_REPORT),
	ITEM(STATUS__T38_REPORT),
	ITEM(STATUS__TSSC_DISCONNECT_REASON),
	ITEM(STATUS__FG_EVENT_PROCESSED),
	ITEM(STATUS__FG_STATE_CHANGE),
	ITEM(STATUS__FG_STATE_EVENT_SERVICE),
	ITEM(STATUS__FG_STATE_START),
	ITEM(STATUS__FG_STATE_RESTART),
	ITEM(STATUS__FG_STATE_REPLACE),
	ITEM(STATUS__FG_STATE_STOP),
	ITEM(STATUS__FG_STATE_STOP_BY_OWNER),
	ITEM(STATUS__FG_STATE_CLEAR_ALL),
	ITEM(STATUS__FG_THREAD_INSERT),
	ITEM(STATUS__FG_THREAD_REMOVE),
	ITEM(STATUS__FG_THREAD_IDENT),
	ITEM(STATUS__FG_THREAD_CLEAR_ALL),
	ITEM(STATUS__FG_THREAD_CLEAR_MODULATION),
	ITEM(STATUS__FG_THREAD_CLEAR_BY_OWNER),
	ITEM(STATUS__FG_THREAD_CLEAR),
	ITEM(STATUS__FG_THREAD_CLEAR_RX_MODULATION),
	ITEM(STATUS__FG_THREAD_CLEAR_TX_MODULATION),
	ITEM(STATUS__FG_THREAD_CLEAR_AUTOMODE),
	ITEM(STATUS__FG_THREAD_CLEAR_FACSIMILE),
	ITEM(STATUS__FG_THREAD_CLEAR_RX_DATA),
	ITEM(STATUS__FG_THREAD_CLEAR_TX_DATA),
	ITEM(STATUS__FG_THREAD_CLEAR_TELEPHONY),
	ITEM(STATUS__FG_TIMER_MS_START_1),
	ITEM(STATUS__FG_TIMER_MS_START_2),
	ITEM(STATUS__FG_TIMER_BIT_START_1),
	ITEM(STATUS__FG_TIMER_BIT_START_2),
	ITEM(STATUS__FG_TIMER_BAUD_START_1),
	ITEM(STATUS__FG_TIMER_BAUD_START_2),
	ITEM(STATUS__FG_TIMER_CLEAR_1),
	ITEM(STATUS__FG_TIMER_CLEAR_2),
	ITEM(STATUS__FG_TIMER_STOP),
	ITEM(STATUS__FG_TIMER_CLEAR_ALL),
	ITEM(STATUS__BG_EVENT_PROCESSED),
	ITEM(STATUS__BG_STATE_CHANGE),
	ITEM(STATUS__BG_STATE_EVENT_SERVICE),
	ITEM(STATUS__BG_STATE_START),
	ITEM(STATUS__BG_STATE_RESTART),
	ITEM(STATUS__BG_STATE_REPLACE),
	ITEM(STATUS__BG_STATE_STOP),
	ITEM(STATUS__BG_STATE_STOP_BY_OWNER),
	ITEM(STATUS__BG_STATE_CLEAR_ALL),
	ITEM(STATUS__EVENT_BUFFER_OVERFLOW),
	ITEM(STATUS__STATUS_BUFFER_OVERFLOW),
	ITEM(STATUS__OVERLAY_CONFLICT),
	ITEM(STATUS__DEVELOPER_GROUP),
	ITEM(STATUS__CUSTOMER_GROUP),
	ITEM(STATUS__DENSE_DTEIF_RX),
	ITEM(STATUS__DENSE_DTEIF_TX),
	ITEM(STATUS__DENSE_DTEIF_TX_LOST),
	ITEM(STATUS__DENSE_DTEIF_RX_LOST),
	ITEM(STATUS__DENSE_DTEIF_TX_STATE_SET),
	ITEM(STATUS__DENSE_DTEIF_TX_CNT),
};
